local M = {}

---@param message string
function M.info(message)
  vim.schedule(
    function() vim.notify(string.format("[%s]: %s", "github-presence", message), "info") end
  )
end

---@param message string
function M.debug(message)
  vim.schedule(
    function() vim.notify(string.format("[%s]: %s", "github-presence", message), "debug") end
  )
end

return M
